| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
Digikam::BWSepiaContainer Class Reference

## Public Types
enum | BlackWhiteConversionType { BWNoFilter = 0 , BWGreenFilter , BWOrangeFilter , BWRedFilter , BWYellowFilter , BWYellowGreenFilter , BWBlueFilter , BWGeneric , BWAgfa200X , BWAgfapan25 , BWAgfapan100 , BWAgfapan400 , BWIlfordDelta100 , BWIlfordDelta400 , BWIlfordDelta400Pro3200 , BWIlfordFP4 , BWIlfordHP5 , BWIlfordPanF , BWIlfordXP2Super , BWKodakTmax100 , BWKodakTmax400 , BWKodakTriX , BWIlfordSFX200 , BWIlfordSFX400 , BWIlfordSFX800 , BWNoTone , BWSepiaTone , BWBrownTone , BWColdTone , BWSeleniumTone , BWPlatinumTone , BWGreenTone , BWKodakHIE }

## Public Member Functions
| BWSepiaContainer (int ptype)
| BWSepiaContainer (int ptype, const CurvesContainer &container)

## Public Attributes
BCGContainer | bcgPrm
CurvesContainer | curvesPrm
int | filmType = BWGeneric
int | filterType = BWNoFilter
bool | preview = false
int | previewType = BWGeneric
double | strength = 1.0
int | toneType = BWNoTone

## Member Enumeration Documentation

## ◆ BlackWhiteConversionType

enum Digikam::BWSepiaContainer::BlackWhiteConversionType

Enumerator
BWNoFilter | B&W filter to the front of lens.
BWGeneric | B&W film simulation.
BWIlfordSFX200 | Infrared film simulation.
BWNoTone | Chemical color tone filter.
BWKodakHIE | Infrared film simulation.